Get file naming settings for project
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/fileNamingSettings \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/fileNamingSettings"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/fileNamingSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedFilePattern": "<string>",
"renameCompleted": true,
"targetFolderPath": "<string>"
}Project
Get file naming settings for project
GET
/
api2
/
v1
/
projects
/
{projectUid}
/
fileNamingSettings
Get file naming settings for project
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
Response
OK
Pattern used to rename completed files; max 255 characters
Maximum string length:
255When true, completed files are renamed according to completedFilePattern
Output folder path for completed files; max 255 characters
Maximum string length:
255Was this page helpful?
⌘I